import React from 'react';
export declare type Typo = keyof typeof TypographyList;
interface Props {
    lg?: Typo;
    md: Typo;
    sm?: Typo;
    children?: React.ReactNode | string;
    display?: 1 | 2 | 3;
}
interface State {
    width: number;
}
interface CommonTypoProps {
    color?: string;
    marginTop?: number;
    marginBottom?: number;
    marginRight?: number;
    marginLeft?: number;
    textAlign?: string;
    display?: string | number;
}
declare const TypographyList: {
    Headline1: import("styled-components").StyledComponent<"h1", any, CommonTypoProps, never>;
    Headline2: import("styled-components").StyledComponent<"h2", any, CommonTypoProps, never>;
    Headline3: import("styled-components").StyledComponent<"h3", any, CommonTypoProps, never>;
    Subtitle1: import("styled-components").StyledComponent<"h4", any, CommonTypoProps, never>;
    Body1: import("styled-components").StyledComponent<"div", any, CommonTypoProps, never>;
    Body1Paragraph: import("styled-components").StyledComponent<"p", any, CommonTypoProps, never>;
    Body2: import("styled-components").StyledComponent<"div", any, CommonTypoProps, never>;
    Body2Paragraph: import("styled-components").StyledComponent<"div", any, CommonTypoProps, never>;
    Caption1: import("styled-components").StyledComponent<"div", any, CommonTypoProps, never>;
    Caption2: import("styled-components").StyledComponent<"div", any, CommonTypoProps, never>;
    Tiny1: import("styled-components").StyledComponent<"div", any, CommonTypoProps, never>;
};
export default class Typography extends React.PureComponent<Props, State> {
    readonly state: {
        width: number;
    };
    updateWindowDimensions: () => void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export {};
